This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 742882 - (ghc-semigroups) Review Request: ghc-semigroups - Provides Haskell 98 semigroups
Review Request: ghc-semigroups - Provides Haskell 98 semigroups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 648247 ghc-tagged
  Show dependency treegraph
 
Reported: 2011-10-03 04:52 EDT by Narasimhan
Modified: 2012-07-15 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-semigroups-0.8-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-02 02:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jens Petersen 2011-10-04 04:05:16 EDT
Rawhide koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3401374

rpmlint is clean.

One comment though: I think you need to BR ghc-containers-prof
for F14 (and current F15 ghc too), otherwise it won't build there
(this can probably be waived one day when -prof is completely gone).
Comment 2 Narasimhan 2011-10-04 04:53:59 EDT
Ok, will  correct it and provide the new links here.

Thanks
Comment 3 Jens Petersen 2011-10-15 10:15:21 EDT
Here is the review:

 +:ok, !: needs attention, NA: not applicable

MUST Items:
[+] MUST: rpmlint output [1]

rpmlint is clean

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
BSD 3 clause
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and be legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

b8ba7f9ff146b12a3940a862e2165936  semigroups-0.8.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]

see comment 1

[NA] MUST: if necessary use ExcludeArch for other archs [8]
[!] MUST: All build dependencies must be listed in BuildRequires

Please add ghc-containers-prof (comment 1) for F14.

[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Package is APPROVED.

but please attend to the missing BR and also please remove "Provides"
from the common_summary.
Comment 4 Narasimhan 2011-10-17 00:22:23 EDT
Thanks for the review.

>please attend to the missing BR and also please remove "Provides"
>from the common_summary.
Yes will take care of those while importing.
Comment 5 Narasimhan 2011-10-17 00:22:55 EDT
New Package SCM Request
=======================
Package Name: ghc-semigroups
Short Description: Types for Haskell 98 semigroups
Owners: narasim
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 6 Gwyn Ciesla 2011-10-17 08:50:18 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-10-22 08:39:10 EDT
ghc-semigroups-0.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-semigroups-0.8-1.fc15
Comment 8 Fedora Update System 2011-10-22 08:39:18 EDT
ghc-semigroups-0.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-semigroups-0.8-1.fc14
Comment 9 Fedora Update System 2011-10-22 08:39:26 EDT
ghc-semigroups-0.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-semigroups-0.8-1.fc16
Comment 10 Fedora Update System 2011-10-22 13:06:46 EDT
ghc-semigroups-0.8-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2011-11-02 02:57:22 EDT
ghc-semigroups-0.8-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 12 Fedora Update System 2011-11-02 02:59:25 EDT
ghc-semigroups-0.8-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2011-11-04 21:27:47 EDT
ghc-semigroups-0.8-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Jens Petersen 2012-07-15 05:46:32 EDT
We need semigroups to build conduit for EPEL6.


Package Change Request
======================
Package Name: ghc-semigroups
New Branches: el6
Owners: narasim petersen
InitialCC: haskell-sig
Comment 15 Gwyn Ciesla 2012-07-15 14:10:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.